Cassandra.Processor.remove_counter (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.thrift

## Class Cassandra.Processor.remove_counter<I extends Cassandra.Iface>

- java.lang.Object
- - org.apache.thrift.ProcessFunction<I,Cassandra.remove_counter_args>
  - - org.apache.cassandra.thrift.Cassandra.Processor.remove_counter<I>

- Enclosing class:
    Cassandra.Processor<I extends Cassandra.Iface>

      public static class Cassandra.Processor.remove_counter<I extends Cassandra.Iface>
      extends org.apache.thrift.ProcessFunction<I,Cassandra.remove_counter_args>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `remove_counter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Cassandra.remove_counter_args` | `getEmptyArgsInstance()`
    `Cassandra.remove_counter_result` | `getResult(I iface, Cassandra.remove_counter_args args)`
    `protected boolean` | `isOneway()`

    - ### Methods inherited from class org.apache.thrift.ProcessFunction

      `getMethodName, process`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### remove_counter

          public remove_counter()

  - ### Method Detail

    - #### getEmptyArgsInstance

          public Cassandra.remove_counter_args getEmptyArgsInstance()

      Specified by:
        `getEmptyArgsInstance` in class `org.apache.thrift.ProcessFunction<I extends Cassandra.Iface,Cassandra.remove_counter_args>`

    - #### isOneway

          protected boolean isOneway()

      Specified by:
        `isOneway` in class `org.apache.thrift.ProcessFunction<I extends Cassandra.Iface,Cassandra.remove_counter_args>`

    - #### getResult

          public Cassandra.remove_counter_result getResult(I iface,
                                                           Cassandra.remove_counter_args args)
                                                    throws org.apache.thrift.TException

      Specified by:
        `getResult` in class `org.apache.thrift.ProcessFunction<I extends Cassandra.Iface,Cassandra.remove_counter_args>`
      Throws:
        `org.apache.thrift.TException`

Copyright © 2018 The Apache Software Foundation